<?php

class inet {
	
	public function __construct(){
		global $err;
		
		$act=preg_replace('/[^a-z_]/','',$_GET['act']);
		if($act){
			call_user_func(array(&$this,$act));
		} 
	}
	
	
	public function update_packet(){
		global $DB;
		
		$id=intval($_GET[id]);
		if($_POST['packet_id']!="Выберите пакет")$obj["packet_id"]=$_POST['packet_id'];
		if(!$obj["packet_id"]) error("Вы не выбрали пакет!");
		$connected = $DB->selectCell("SELECT active FROM internet WHERE id=$id");
		if($connected==1) error("Услуга в данный момент используется");
		$DB->query("UPDATE internet set ?a WHERE id=?d",$obj,$id);
 
		success();
	}
	
	public function get_packets(){
		global $DB;
		
		$packets = $DB->select("SELECT id AS value, name AS text FROM packets");
		
		$json=array("success"=>true,"data"=>$packets);
		echo json_encode($json);
	}
}
?>